diff --git a/src/main/java/net/minecraft/core/net/entity/entries/PebbleEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPebble.java
similarity index 72%
rename from src/main/java/net/minecraft/core/net/entity/entries/PebbleEntry.java
rename to src/main/java/net/minecraft/core/net/entity/entries/NetEntryPebble.java
index fc2315521..fee3e9af7 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/PebbleEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPebble.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.projectile.PebbleProjectile;
+import net.minecraft.core.entity.projectile.ProjectilePebble;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
 import net.minecraft.core.net.packet.AddEntityPacket;
@@ -10,10 +10,10 @@ import net.minecraft.server.entity.EntityTracker;
 import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
-public class PebbleEntry implements IVehicleEntry<PebbleProjectile>, ITrackedEntry<PebbleProjectile> {
+public class NetEntryPebble implements IVehicleEntry<ProjectilePebble>, ITrackedEntry<ProjectilePebble> {
     @Override
-    public @NotNull Class<PebbleProjectile> getAppliedClass() {
-        return PebbleProjectile.class;
+    public @NotNull Class<ProjectilePebble> getAppliedClass() {
+        return ProjectilePebble.class;
     }
 
     @Override
@@ -32,17 +32,17 @@ public class PebbleEntry implements IVehicleEntry<PebbleProjectile>, ITrackedEnt
     }
 
     @Override
-    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, PebbleProjectile trackedObject) {
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, ProjectilePebble trackedObject) {
 
     }
 
     @Override
     public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
-        return new PebbleProjectile(world, x, y, z);
+        return new ProjectilePebble(world, x, y, z);
     }
 
     @Override
-    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, PebbleProjectile trackedObject) {
+    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, ProjectilePebble trackedObject) {
         return new AddEntityPacket(trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/PlayerMPNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPlayerServer.java
similarity index 72%
rename from src/main/java/net/minecraft/core/net/entity/entries/PlayerMPNetEntry.java
rename to src/main/java/net/minecraft/core/net/entity/entries/NetEntryPlayerServer.java
index 1576f2d51..a70ef0599 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/PlayerMPNetEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPlayerServer.java
@@ -6,13 +6,13 @@ import net.minecraft.core.net.packet.Packet;
 import net.minecraft.core.net.packet.AddPlayerPacket;
 import net.minecraft.server.entity.EntityTracker;
 import net.minecraft.server.entity.EntityTrackerEntry;
-import net.minecraft.server.entity.player.ServerPlayer;
+import net.minecraft.server.entity.player.PlayerServer;
 import org.jetbrains.annotations.NotNull;
 
-public class PlayerMPNetEntry implements IPacketEntry<ServerPlayer>, ITrackedEntry<ServerPlayer> {
+public class NetEntryPlayerServer implements IPacketEntry<PlayerServer>, ITrackedEntry<PlayerServer> {
     @Override
-    public @NotNull Class<ServerPlayer> getAppliedClass() {
-        return ServerPlayer.class;
+    public @NotNull Class<PlayerServer> getAppliedClass() {
+        return PlayerServer.class;
     }
 
     @Override
@@ -31,7 +31,7 @@ public class PlayerMPNetEntry implements IPacketEntry<ServerPlayer>, ITrackedEnt
     }
 
     @Override
-    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, ServerPlayer trackedObject) {
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, PlayerServer trackedObject) {
         for (EntityTrackerEntry entitytrackerentry : tracker.trackedEntitySet) {
             if (entitytrackerentry.trackedEntity != trackedObject) {
                 entitytrackerentry.updatePlayerEntity(trackedObject);
@@ -40,7 +40,7 @@ public class PlayerMPNetEntry implements IPacketEntry<ServerPlayer>, ITrackedEnt
     }
 
     @Override
-    public Packet getSpawnPacket(EntityTrackerEntry tracker, ServerPlayer trackedObject) {
+    public Packet getSpawnPacket(EntityTrackerEntry tracker, PlayerServer trackedObject) {
         return new AddPlayerPacket(trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/TNTNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPrimedTNT.java
similarity index 72%
rename from src/main/java/net/minecraft/core/net/entity/entries/TNTNetEntry.java
rename to src/main/java/net/minecraft/core/net/entity/entries/NetEntryPrimedTNT.java
index 76d865504..44819874a 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/TNTNetEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPrimedTNT.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.TNTPrimedEntity;
+import net.minecraft.core.entity.EntityPrimedTNT;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
 import net.minecraft.core.net.packet.AddEntityPacket;
@@ -10,10 +10,10 @@ import net.minecraft.server.entity.EntityTracker;
 import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
-public class TNTNetEntry implements IVehicleEntry<TNTPrimedEntity>, ITrackedEntry<TNTPrimedEntity> {
+public class NetEntryPrimedTNT implements IVehicleEntry<EntityPrimedTNT>, ITrackedEntry<EntityPrimedTNT> {
     @Override
-    public @NotNull Class<TNTPrimedEntity> getAppliedClass() {
-        return TNTPrimedEntity.class;
+    public @NotNull Class<EntityPrimedTNT> getAppliedClass() {
+        return EntityPrimedTNT.class;
     }
 
     @Override
@@ -32,17 +32,17 @@ public class TNTNetEntry implements IVehicleEntry<TNTPrimedEntity>, ITrackedEntr
     }
 
     @Override
-    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, TNTPrimedEntity trackedObject) {
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityPrimedTNT trackedObject) {
 
     }
 
     @Override
     public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
-        return new TNTPrimedEntity(world, x, y, z);
+        return new EntityPrimedTNT(world, x, y, z);
     }
 
     @Override
-    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, TNTPrimedEntity trackedObject) {
+    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, EntityPrimedTNT trackedObject) {
         return new AddEntityPacket(trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/SnowballNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntrySnowball.java
similarity index 71%
rename from src/main/java/net/minecraft/core/net/entity/entries/SnowballNetEntry.java
rename to src/main/java/net/minecraft/core/net/entity/entries/NetEntrySnowball.java
index bcc36c0da..a67678fed 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/SnowballNetEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntrySnowball.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.projectile.SnowballProjectile;
+import net.minecraft.core.entity.projectile.ProjectileSnowball;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
 import net.minecraft.core.net.packet.AddEntityPacket;
@@ -10,10 +10,10 @@ import net.minecraft.server.entity.EntityTracker;
 import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
-public class SnowballNetEntry implements IVehicleEntry<SnowballProjectile>, ITrackedEntry<SnowballProjectile> {
+public class NetEntrySnowball implements IVehicleEntry<ProjectileSnowball>, ITrackedEntry<ProjectileSnowball> {
     @Override
-    public @NotNull Class<SnowballProjectile> getAppliedClass() {
-        return SnowballProjectile.class;
+    public @NotNull Class<ProjectileSnowball> getAppliedClass() {
+        return ProjectileSnowball.class;
     }
 
     @Override
@@ -32,17 +32,17 @@ public class SnowballNetEntry implements IVehicleEntry<SnowballProjectile>, ITra
     }
 
     @Override
-    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, SnowballProjectile trackedObject) {
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, ProjectileSnowball trackedObject) {
 
     }
 
     @Override
     public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
-        return new SnowballProjectile(world, x, y, z);
+        return new ProjectileSnowball(world, x, y, z);
     }
 
     @Override
-    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, SnowballProjectile trackedObject) {
+    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, ProjectileSnowball trackedObject) {
         return new AddEntityPacket(trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntrySquid.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntrySquid.java
new file mode 100644
index 000000000..80da21a56
--- /dev/null
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntrySquid.java
@@ -0,0 +1,16 @@
+package net.minecraft.core.net.entity.entries;
+
+import net.minecraft.core.entity.animal.MobSquid;
+import org.jetbrains.annotations.NotNull;
+
+public class NetEntrySquid extends NetEntryAnimal<MobSquid> {
+    @Override
+    public @NotNull Class<MobSquid> getAppliedClass() {
+        return MobSquid.class;
+    }
+
+    @Override
+    public boolean sendMotionUpdates() {
+        return true;
+    }
+}
diff --git a/src/main/java/net/minecraft/core/net/packet/AddItemEntityPacket.java b/src/main/java/net/minecraft/core/net/packet/AddItemEntityPacket.java
index c89b2c854..1a82688b0 100644
--- a/src/main/java/net/minecraft/core/net/packet/AddItemEntityPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/AddItemEntityPacket.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.net.packet;
 
-import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.entity.EntityItem;
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.net.handler.PacketHandler;
 import net.minecraft.core.util.helper.MathHelper;
@@ -22,7 +22,7 @@ public class AddItemEntityPacket extends Packet {
 
     public AddItemEntityPacket() {}
 
-    public AddItemEntityPacket(ItemEntity entityitem) {
+    public AddItemEntityPacket(EntityItem entityitem) {
         entityId = entityitem.id;
         itemID = entityitem.item.itemID;
         count = entityitem.item.stackSize;
diff --git a/src/main/java/net/minecraft/core/net/packet/AddPaintingPacket.java b/src/main/java/net/minecraft/core/net/packet/AddPaintingPacket.java
index ae2ac326a..e2ebd5d68 100644
--- a/src/main/java/net/minecraft/core/net/packet/AddPaintingPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/AddPaintingPacket.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.net.packet;
 
-import net.minecraft.core.entity.PaintingEntity;
+import net.minecraft.core.entity.EntityPainting;
 import net.minecraft.core.enums.ArtType;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.net.handler.PacketHandler;
@@ -8,7 +8,7 @@ import net.minecraft.core.net.handler.PacketHandler;
 import java.io.*;
 
 // Referenced classes of package net.minecraft.src:
-//            Packet, PaintingEntity, ArtType, PacketHandler
+//            Packet, EntityPainting, ArtType, PacketHandler
 
 public class AddPaintingPacket extends Packet
 {
@@ -17,7 +17,7 @@ public class AddPaintingPacket extends Packet
     {
     }
 
-    public AddPaintingPacket(PaintingEntity entitypainting)
+    public AddPaintingPacket(EntityPainting entitypainting)
     {
         entityId = entitypainting.id;
         xPosition = entitypainting.blockX;
diff --git a/src/main/java/net/minecraft/core/net/packet/BlockEntityDataPacket.java b/src/main/java/net/minecraft/core/net/packet/BlockEntityDataPacket.java
index 0f558d40c..9de957f3f 100644
--- a/src/main/java/net/minecraft/core/net/packet/BlockEntityDataPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/BlockEntityDataPacket.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.net.packet;
 
 import com.mojang.nbt.CompoundTag;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
@@ -16,12 +16,12 @@ public class BlockEntityDataPacket
         isChunkDataPacket = true;
     }
 
-    public BlockEntityDataPacket(BlockEntity blockEntity)
+    public BlockEntityDataPacket(TileEntity tileEntity)
     {
         this();
 
         tag = new CompoundTag();
-        blockEntity.writeToNBT(tag);
+        tileEntity.writeToNBT(tag);
     }
 
     public BlockEntityDataPacket(CompoundTag tag) {
diff --git a/src/main/java/net/minecraft/core/net/packet/ContainerOpenPacket.java b/src/main/java/net/minecraft/core/net/packet/ContainerOpenPacket.java
index 88ea5573d..2a2231d8d 100644
--- a/src/main/java/net/minecraft/core/net/packet/ContainerOpenPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/ContainerOpenPacket.java
@@ -30,7 +30,7 @@ public class ContainerOpenPacket extends Packet
     public ContainerOpenPacket(int windowId, int inventoryType, String windowTitle, int slotCount)
     {
         assert windowId <= Byte.MAX_VALUE : "Window Id > 127 won't serialize properly";
-        assert inventoryType <= Byte.MAX_VALUE : "Inventory Type > 127 won't serialize properly";
+        assert inventoryType <= Byte.MAX_VALUE : "ContainerInventory Type > 127 won't serialize properly";
         assert slotCount <= Byte.MAX_VALUE : "Slot Count > 127 won't serialize properly";
         this.windowId = windowId;
         this.inventoryType = inventoryType;
diff --git a/src/main/java/net/minecraft/core/net/packet/SignUpdatePacket.java b/src/main/java/net/minecraft/core/net/packet/SignUpdatePacket.java
index f5eeb6e94..3d560fa29 100644
--- a/src/main/java/net/minecraft/core/net/packet/SignUpdatePacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/SignUpdatePacket.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.net.packet;
 
-import net.minecraft.core.block.entity.SignBlockEntity;
+import net.minecraft.core.block.entity.TileEntitySign;
 import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
@@ -37,7 +37,7 @@ public class SignUpdatePacket extends Packet
         signLines = new String[4];
         for(int i = 0; i < 4; i++)
         {
-            signLines[i] = readString(dis, SignBlockEntity.MAX_LINE_SIZE);
+            signLines[i] = readString(dis, TileEntitySign.MAX_LINE_SIZE);
         }
         picture = dis.readInt();
         color = dis.readInt();
diff --git a/src/main/java/net/minecraft/core/net/packet/WeatherEffectPacket.java b/src/main/java/net/minecraft/core/net/packet/WeatherEffectPacket.java
index 86e7a71d2..86c28195c 100644
--- a/src/main/java/net/minecraft/core/net/packet/WeatherEffectPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/WeatherEffectPacket.java
@@ -1,14 +1,14 @@
 package net.minecraft.core.net.packet;
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.LightningEntity;
+import net.minecraft.core.entity.EntityLightning;
 import net.minecraft.core.net.handler.PacketHandler;
 import net.minecraft.core.util.helper.MathHelper;
 
 import java.io.*;
 
 // Referenced classes of package net.minecraft.src:
-//            Packet, Entity, MathHelper, LightningEntity,
+//            Packet, Entity, MathHelper, EntityLightning,
 //            PacketHandler
 
 public class WeatherEffectPacket extends Packet
@@ -29,7 +29,7 @@ public class WeatherEffectPacket extends Packet
         x = MathHelper.floor(entity.x * 32D);
         y = MathHelper.floor(entity.y * 32D);
         z = MathHelper.floor(entity.z * 32D);
-        if(entity instanceof LightningEntity)
+        if(entity instanceof EntityLightning)
         {
             effectId = EFFECT_LIGHTNING;
         }
diff --git a/src/main/java/net/minecraft/core/net/packet/WeatherStatusPacket.java b/src/main/java/net/minecraft/core/net/packet/WeatherStatusPacket.java
index 13b74cafd..caabcd2f8 100644
--- a/src/main/java/net/minecraft/core/net/packet/WeatherStatusPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/WeatherStatusPacket.java
@@ -5,7 +5,7 @@ import net.minecraft.core.net.handler.PacketHandler;
 import java.io.*;
 
 // Referenced classes of package net.minecraft.src:
-//            Packet, Entity, MathHelper, LightningEntity,
+//            Packet, Entity, MathHelper, EntityLightning,
 //            PacketHandler
 
 public class WeatherStatusPacket extends Packet
diff --git a/src/main/java/net/minecraft/core/player/gamemode/Gamemode.java b/src/main/java/net/minecraft/core/player/gamemode/Gamemode.java
index df96fb598..a3f41a29c 100644
--- a/src/main/java/net/minecraft/core/player/gamemode/Gamemode.java
+++ b/src/main/java/net/minecraft/core/player/gamemode/Gamemode.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.player.gamemode;
 
-import net.minecraft.core.player.inventory.menu.InventoryMenu;
-import net.minecraft.core.player.inventory.container.Inventory;
+import net.minecraft.core.player.inventory.menu.MenuInventory;
+import net.minecraft.core.player.inventory.container.ContainerInventory;
 
 import java.util.ArrayList;
 import java.util.List;
@@ -184,7 +184,7 @@ public abstract class Gamemode
 		return this;
 	}
 
-	public abstract InventoryMenu getContainer(Inventory inventory, boolean isNotClientSide);
+	public abstract MenuInventory getContainer(ContainerInventory inventory, boolean isNotClientSide);
 
 	public static final Gamemode[] gamemodesList = new Gamemode[5];
 	public static List<Gamemode> getPublicGamemodes(){
diff --git a/src/main/java/net/minecraft/core/player/gamemode/GamemodeCreative.java b/src/main/java/net/minecraft/core/player/gamemode/GamemodeCreative.java
index 60a319647..cab24ec2b 100644
--- a/src/main/java/net/minecraft/core/player/gamemode/GamemodeCreative.java
+++ b/src/main/java/net/minecraft/core/player/gamemode/GamemodeCreative.java
@@ -1,8 +1,8 @@
 package net.minecraft.core.player.gamemode;
 
-import net.minecraft.core.player.inventory.menu.InventoryMenu;
-import net.minecraft.core.player.inventory.menu.CreativeInventoryMenu;
-import net.minecraft.core.player.inventory.container.Inventory;
+import net.minecraft.core.player.inventory.container.ContainerInventory;
+import net.minecraft.core.player.inventory.menu.MenuInventory;
+import net.minecraft.core.player.inventory.menu.MenuInventoryCreative;
 
 public class GamemodeCreative extends Gamemode
 {
@@ -13,8 +13,8 @@ public class GamemodeCreative extends Gamemode
 	}
 
 	@Override
-	public InventoryMenu getContainer(Inventory inventory, boolean isNotClientSide)
+	public MenuInventory getContainer(ContainerInventory inventory, boolean isNotClientSide)
 	{
-		return new CreativeInventoryMenu(inventory, isNotClientSide);
+		return new MenuInventoryCreative(inventory, isNotClientSide);
 	}
 }
diff --git a/src/main/java/net/minecraft/core/player/gamemode/GamemodeSurvival.java b/src/main/java/net/minecraft/core/player/gamemode/GamemodeSurvival.java
index 905892c68..cce883503 100644
--- a/src/main/java/net/minecraft/core/player/gamemode/GamemodeSurvival.java
+++ b/src/main/java/net/minecraft/core/player/gamemode/GamemodeSurvival.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.player.gamemode;
 
-import net.minecraft.core.player.inventory.menu.InventoryMenu;
-import net.minecraft.core.player.inventory.container.Inventory;
+import net.minecraft.core.player.inventory.menu.MenuInventory;
+import net.minecraft.core.player.inventory.container.ContainerInventory;
 
 public class GamemodeSurvival extends Gamemode
 {
@@ -12,8 +12,8 @@ public class GamemodeSurvival extends Gamemode
 	}
 
 	@Override
-	public InventoryMenu getContainer(Inventory inventory, boolean isNotClientSide)
+	public MenuInventory getContainer(ContainerInventory inventory, boolean isNotClientSide)
 	{
-		return new InventoryMenu(inventory, isNotClientSide);
+		return new MenuInventory(inventory, isNotClientSide);
 	}
 }
diff --git a/src/main/java/net/minecraft/core/player/inventory/container/CompoundContainer.java b/src/main/java/net/minecraft/core/player/inventory/container/ContainerCompound.java
similarity index 95%
rename from src/main/java/net/minecraft/core/player/inventory/container/CompoundContainer.java
rename to src/main/java/net/minecraft/core/player/inventory/container/ContainerCompound.java
index a70b6ad7a..a1e3fdfe6 100644
--- a/src/main/java/net/minecraft/core/player/inventory/container/CompoundContainer.java
+++ b/src/main/java/net/minecraft/core/player/inventory/container/ContainerCompound.java
@@ -8,14 +8,14 @@ import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.player.inventory.InventorySorter;
 
-public class CompoundContainer
+public class ContainerCompound
     implements Container
 {
     private String name;
     private Container c1;
     private Container c2;
 
-    public CompoundContainer(String s, Container c1, Container c2)
+    public ContainerCompound(String s, Container c1, Container c2)
     {
         name = s;
         this.c1 = c1;
diff --git a/src/main/java/net/minecraft/core/player/inventory/container/CraftingContainer.java b/src/main/java/net/minecraft/core/player/inventory/container/ContainerCrafting.java
similarity index 91%
rename from src/main/java/net/minecraft/core/player/inventory/container/CraftingContainer.java
rename to src/main/java/net/minecraft/core/player/inventory/container/ContainerCrafting.java
index be1d4a537..94c3aa8fb 100644
--- a/src/main/java/net/minecraft/core/player/inventory/container/CraftingContainer.java
+++ b/src/main/java/net/minecraft/core/player/inventory/container/ContainerCrafting.java
@@ -6,16 +6,16 @@ package net.minecraft.core.player.inventory.container;
 
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.player.inventory.menu.AbstractContainerMenu;
+import net.minecraft.core.player.inventory.menu.MenuAbstract;
 
-public class CraftingContainer
+public class ContainerCrafting
     implements Container
 {
     private ItemStack[] items;
     private int width;
-    private AbstractContainerMenu menu;
+    private MenuAbstract menu;
 
-    public CraftingContainer(AbstractContainerMenu container, int width, int n)
+    public ContainerCrafting(MenuAbstract container, int width, int n)
     {
         int k = width * n;
         items = new ItemStack[k];
diff --git a/src/main/java/net/minecraft/core/player/inventory/container/Inventory.java b/src/main/java/net/minecraft/core/player/inventory/container/ContainerInventory.java
similarity index 98%
rename from src/main/java/net/minecraft/core/player/inventory/container/Inventory.java
rename to src/main/java/net/minecraft/core/player/inventory/container/ContainerInventory.java
index 7bed0c445..2995f67f5 100644
--- a/src/main/java/net/minecraft/core/player/inventory/container/Inventory.java
+++ b/src/main/java/net/minecraft/core/player/inventory/container/ContainerInventory.java
@@ -8,7 +8,7 @@ import net.minecraft.core.block.Block;
 
 // Referenced classes of package net.minecraft.src:
 //            IInventory, ItemStack, Player, NBTTagCompound,
-//            NBTTagList, Block, Material, ArmorItem,
+//            NBTTagList, Block, Material, ItemArmor,
 //            Entity
 
 import net.minecraft.core.block.tag.BlockTags;
@@ -23,7 +23,7 @@ import net.minecraft.core.player.inventory.InventorySorter;
 import net.minecraft.core.util.helper.DamageType;
 import org.jetbrains.annotations.Nullable;
 
-public class Inventory
+public class ContainerInventory
     implements Container
 {
     protected int hotbarOffset = 0;
@@ -34,7 +34,7 @@ public class Inventory
     private ItemStack heldItem;
     public boolean inventoryChanged;
 
-    public Inventory(Player player)
+    public ContainerInventory(Player player)
     {
         mainInventory = new ItemStack[36];
         armorInventory = new ItemStack[4];
@@ -364,7 +364,7 @@ public class Inventory
     @Override
 	public String getName()
     {
-        return "Inventory";
+        return "ContainerInventory";
     }
 
     @Override
@@ -546,7 +546,7 @@ public class Inventory
         InventorySorter.sortInventory(mainInventory, 9, mainInventory.length - 1);
     }
 	
-	public void transferAllContents(Inventory inventory) {
+	public void transferAllContents(ContainerInventory inventory) {
 		for(int i=0; i < mainInventory.length; i++) {
 			this.mainInventory[i] = inventory.mainInventory[i];
 			inventory.mainInventory[i] = null;
diff --git a/src/main/java/net/minecraft/core/player/inventory/container/ResultContainer.java b/src/main/java/net/minecraft/core/player/inventory/container/ContainerResult.java
similarity index 95%
rename from src/main/java/net/minecraft/core/player/inventory/container/ResultContainer.java
rename to src/main/java/net/minecraft/core/player/inventory/container/ContainerResult.java
index db8a365c0..9fd1602f0 100644
--- a/src/main/java/net/minecraft/core/player/inventory/container/ResultContainer.java
+++ b/src/main/java/net/minecraft/core/player/inventory/container/ContainerResult.java
@@ -7,12 +7,12 @@ package net.minecraft.core.player.inventory.container;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
 
-public class ResultContainer
+public class ContainerResult
     implements Container
 {
     private ItemStack[] items;
 
-    public ResultContainer()
+    public ContainerResult()
     {
         items = new ItemStack[1];
     }
diff --git a/src/main/java/net/minecraft/core/player/inventory/container/SimpleContainer.java b/src/main/java/net/minecraft/core/player/inventory/container/ContainerSimple.java
similarity index 96%
rename from src/main/java/net/minecraft/core/player/inventory/container/SimpleContainer.java
rename to src/main/java/net/minecraft/core/player/inventory/container/ContainerSimple.java
index f4a0eae9c..f44de68bc 100644
--- a/src/main/java/net/minecraft/core/player/inventory/container/SimpleContainer.java
+++ b/src/main/java/net/minecraft/core/player/inventory/container/ContainerSimple.java
@@ -7,14 +7,14 @@ import net.minecraft.core.player.inventory.InventorySorter;
 // Referenced classes of package net.minecraft.src:
 //            IInventory, ItemStack, IInvBasic, Player
 
-public class SimpleContainer
+public class ContainerSimple
     implements Container
 {
     private String name;
     private int size;
     private ItemStack[] items;
 
-    public SimpleContainer(String name, int size)
+    public ContainerSimple(String name, int size)
     {
         this.name = name;
         this.size = size;
diff --git a/src/main/java/net/minecraft/core/player/inventory/menu/AbstractContainerMenu.java b/src/main/java/net/minecraft/core/player/inventory/menu/MenuAbstract.java
similarity index 97%
rename from src/main/java/net/minecraft/core/player/inventory/menu/AbstractContainerMenu.java
rename to src/main/java/net/minecraft/core/player/inventory/menu/MenuAbstract.java
index 725c99f51..375b80e11 100644
--- a/src/main/java/net/minecraft/core/player/inventory/menu/AbstractContainerMenu.java
+++ b/src/main/java/net/minecraft/core/player/inventory/menu/MenuAbstract.java
@@ -11,14 +11,14 @@ import net.minecraft.core.item.IArmorItem;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.player.inventory.container.Container;
-import net.minecraft.core.player.inventory.container.Inventory;
+import net.minecraft.core.player.inventory.container.ContainerInventory;
 import net.minecraft.core.player.inventory.slot.Slot;
-import net.minecraft.core.player.inventory.slot.ResultSlot;
+import net.minecraft.core.player.inventory.slot.SlotResult;
 import net.minecraft.core.util.helper.MathHelper;
 import org.jetbrains.annotations.Nullable;
 import org.slf4j.Logger;
 
-public abstract class AbstractContainerMenu
+public abstract class MenuAbstract
 {
 	private static final Logger LOGGER = LogUtils.getLogger();
 	public List<ItemStack> lastSlots;
@@ -28,7 +28,7 @@ public abstract class AbstractContainerMenu
 	protected List<ContainerListener> containerListeners;
 	private final Set<Player> unSynchedPlayers;
 
-	public AbstractContainerMenu()
+	public MenuAbstract()
 	{
 		lastSlots = new ArrayList<>();
 		slots = new ArrayList<>();
@@ -92,7 +92,7 @@ public abstract class AbstractContainerMenu
 	}
 
 	/**
-	 * @param container Inventory
+	 * @param container ContainerInventory
 	 * @param index integer index of slot in container
 	 * @return Slot for index in current container, null otherwise
 	 */
@@ -130,7 +130,7 @@ public abstract class AbstractContainerMenu
 			}
 		}
 		
-		Inventory inventory = player.inventory;
+		ContainerInventory inventory = player.inventory;
 
 		//Drop Item
 		if(action == InventoryAction.DROP_HELD_SINGLE || action == InventoryAction.DROP_HELD_STACK) {
@@ -472,8 +472,8 @@ public abstract class AbstractContainerMenu
 	public void handleItemMove(InventoryAction action, Slot slot, int target, Player player) {
 		ItemStack stackInSlot = slot.getItem();
 
-		if(slot instanceof ResultSlot) {
-			handleCrafting(action, (ResultSlot) slot, target, player);
+		if(slot instanceof SlotResult) {
+			handleCrafting(action, (SlotResult) slot, target, player);
 			return;
 		}
 
@@ -556,7 +556,7 @@ public abstract class AbstractContainerMenu
 	/**
 	 * Handle MOVE actions on crafting result slots
 	 */
-	public void handleCrafting(InventoryAction action, ResultSlot slot, int target, Player player) {
+	public void handleCrafting(InventoryAction action, SlotResult slot, int target, Player player) {
 		ItemStack itemToCraft = slot.getItem();
 
 		if(itemToCraft == null) {
@@ -759,7 +759,7 @@ public abstract class AbstractContainerMenu
 	}
 
 	public void onCraftGuiClosed(Player player) {
-		Inventory inventory = player.inventory;
+		ContainerInventory inventory = player.inventory;
 		if(inventory.getHeldItemStack() != null) {
 			ItemStack stack = inventory.getHeldItemStack();
 			inventory.setHeldItemStack(null);
@@ -776,7 +776,7 @@ public abstract class AbstractContainerMenu
 		if(stack == null || stack.stackSize <= 0) {
 			return;
 		}
-		Inventory inventory = player.inventory;
+		ContainerInventory inventory = player.inventory;
 		inventory.insertItem(stack, false);
 		if(stack.stackSize > 0) {
 			player.dropPlayerItem(stack);
@@ -822,7 +822,7 @@ public abstract class AbstractContainerMenu
 	{
 	}
 
-	public short backup(Inventory inventoryplayer)
+	public short backup(ContainerInventory inventoryplayer)
 	{
 		changeUid++;
 		return changeUid;
